
%define 	module	RSyncBackup

Summary:	Python module for perform automatic backups using the rsync command
Summary(pl.UTF-8):	Moduł Pythona umożliwiający wykonywanie automatycznych archiwizacji przy pomocy komendy rsync
Name:		python-%{module}
Version:	1.3
Release:	4
License:	BSD-like
Group:		Libraries/Python
Source0:	http://www.owlfish.com/software/utils/RSyncBackup/downloads/%{module}-%{version}.tar.gz
# Source0-md5:	b9fbf6a37b8634884dea330770948ac9
URL:		http://www.owlfish.com/software/utils/RSyncBackup/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python >= 2.3
Requires:	rsync
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RSyncBackup is the Python module that allows automatic backups using
the rsync command. rsync has many different uses but is particularly
suitable for performng backups from one form of online storage to
another, either over a network or on a local machine with multiple
drives.

%description -l pl.UTF-8
RSyncBackup jest modułem Pythona pozwalającym na wykonywanie
automatycznych archiwizacji. rsync posiada wprawdzie wiele innych
możliwości, ale szczególnie użyteczny jest do przeprowadzania
archiwizacji między wieloma urządzeniami, zarówno poprzez sieć jak i
na lokalnej maszynie między różnymi dyskami.

%package doc
Summary:	Documentation for RSyncBackup module
Summary(pl.UTF-8):	Dokumentacja do modułu RSyncBackup
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for RSyncBackup Python
module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona RSyncBackup.

%package examples
Summary:	Examples for RSyncBackup module
Summary(pl.UTF-8):	Przykłady do modułu RSyncBackup
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for RSyncBackup Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona RSyncBackup.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

%py_install \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt LICENSE.txt
%{py_sitescriptdir}/RSyncBackup.py[oc]

%files doc
%defattr(644,root,root,755)
%doc documentation/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-RSyncBackup.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7a104e3
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2802aa2
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 62b58d4
- BR: rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 91ae661
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 839be58
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8f3018f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8799af1
- converted to UTF-8

* Sat Dec 18 2004 darekr <darekr@pld-linux.org> 175fc0a
- updated to 1.3, BR: python-modules

* Sat Nov 27 2004 saq <saq@pld-linux.org> 7649726
- massive attack: added missing python-devel epoch do BR

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> c3e02c5
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> 5e53df9
- capitalization, tabs, other cosmetics

* Thu May 20 2004 Marcin Gajda <m.gajda@functional-software.com> ece2dca
- typos

* Wed May 19 2004 Marcin Gajda <m.gajda@functional-software.com> b7bcf8f
- s/-l p$/-l pl/ in subpackage descriptions

* Wed May 19 2004 Marcin Gajda <m.gajda@functional-software.com> 6ccabd9
- s/doc/examples/ in -examples subpackage description

* Wed May 19 2004 Marcin Gajda <m.gajda@functional-software.com> 7c4b8ae
- correct group in -doc and -examples subpackages

* Tue May 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 79d6b3f
- noarch

* Tue May 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 637a53b
- new, from Marcin Gajda

